| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
uiExtraIntKeyDesc Class Reference
uiBase

`#include <uishortcutsmgr.h>`

Inheritance diagram for uiExtraIntKeyDesc:
[legend]

## Public Member Functions
| uiExtraIntKeyDesc (const char *statestr=0, const char *keystr=0, int val=1)
| uiExtraIntKeyDesc (const uiExtraIntKeyDesc &)
| ~uiExtraIntKeyDesc ()
int | getIntValue () const
const uiString & | getLabel () const
bool | operator== (const uiExtraIntKeyDesc &ev) const
bool | set (const char *statestr, const char *keystr, int val)
void | setIntLabel (const uiString &lbl)
Public Member Functions inherited from uiKeyDesc
| uiKeyDesc (const char *statestr=0, const char *keystr=0)
| uiKeyDesc (QKeyEvent *)
virtual | ~uiKeyDesc ()
char | asciiChar () const
BufferString | getKeySequenceStr () const
bool | isSimpleAscii () const
virtual int | key () const
const char * | keyStr () const
bool | operator== (const uiKeyDesc &ev) const
bool | set (const char *statestr, const char *keystr)
void | setKey (int k)
void | setState (OD::ButtonState bs)
OD::ButtonState | state () const
const char * | stateStr () const

## Protected Attributes
uiString | extralbl_
int | val_
Protected Attributes inherited from uiKeyDesc
int | key_
OD::ButtonState | state_

## Additional Inherited Members
Static Public Member Functions inherited from uiKeyDesc
static const char ** | sKeyKeyStrs ()
Protected Member Functions inherited from uiKeyDesc
void | handleSpecialKey (const char *)

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiExtraIntKeyDesc() [1/2]

uiExtraIntKeyDesc::uiExtraIntKeyDesc | ( | const char * | statestr = 0,
|  | const char * | keystr = 0,
|  | int | val = 1 )

## ◆ uiExtraIntKeyDesc() [2/2]

uiExtraIntKeyDesc::uiExtraIntKeyDesc | ( | const uiExtraIntKeyDesc & |  | ) |

## ◆ ~uiExtraIntKeyDesc()

uiExtraIntKeyDesc::~uiExtraIntKeyDesc | ( |  | ) |

## Member Function Documentation

## ◆ getIntValue()

int uiExtraIntKeyDesc::getIntValue | ( |  | ) | const
| inline

## ◆ getLabel()

const uiString & uiExtraIntKeyDesc::getLabel | ( |  | ) | const
| inline

## ◆ operator==()

bool uiExtraIntKeyDesc::operator== | ( | const uiExtraIntKeyDesc & | ev | ) | const
| inline

## ◆ set()

bool uiExtraIntKeyDesc::set | ( | const char * | statestr,
|  | const char * | keystr,
|  | int | val )

## ◆ setIntLabel()

void uiExtraIntKeyDesc::setIntLabel | ( | const uiString & | lbl | ) |
| inline

## Member Data Documentation

## ◆ extralbl_

uiString uiExtraIntKeyDesc::extralbl_
| protected

## ◆ val_

int uiExtraIntKeyDesc::val_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025